Rivet: Booking heavy ion features

| Rivet 3.1.9

Functions
Booking heavy ion features

## Functions
const CentralityProjection & | Rivet::Analysis::declareCentrality (const SingleValueProjection &proj, string calAnaName, string calHistName, const string projName, bool increasing=false)
| Book a CentralityProjection.
template<class T >
Percentile< T > | Rivet::Analysis::bookPercentile (string projName, vector< pair< float, float > > centralityBins, vector< tuple< int, int, int > > ref)
| Book a Percentile wrapper around AnalysisObjects.

## Detailed Description

## Function Documentation

## ◆ bookPercentile()

template<class T >

Percentile< T > Rivet::Analysis::bookPercentile | ( | string | projName,
|  | vector< pair< float, float > > | centralityBins,
|  | vector< tuple< int, int, int > > | ref
| ) |  |
| inline

Book a Percentile wrapper around AnalysisObjects.

Based on a previously registered CentralityProjection named projName book one AnalysisObject for each centralityBin and name them according to the corresponding code in the ref vector.

Todo:
  Convert to just be called book() cf. others

References Rivet::PercentileTBase< T >::add(), Rivet::Analysis::addAnalysisObject(), Rivet::Analysis::histoPath(), and Rivet::Analysis::mkAxisCode().

## ◆ declareCentrality()

const CentralityProjection & Rivet::Analysis::declareCentrality | ( | const SingleValueProjection & | proj,
|  | string | calAnaName,
|  | string | calHistName,
|  | const string | projName,
|  | bool | increasing = `false`
| ) |  |

Book a CentralityProjection.

Using a SingleValueProjection, proj, giving the value of an experimental observable to be used as a centrality estimator, book a CentralityProjection based on the experimentally measured pecentiles of this observable (as given by the reference data for the calHistName histogram in the calAnaName analysis. If a preloaded file with the output of a run using the calAnaName analysis contains a valid generated calHistName histogram, it will be used as an optional percentile binning. Also if this preloaded file contains a histogram with the name calHistName with an appended "_IMP" This histogram will be used to add an optional centrality percentile based on the generated impact parameter. If increasing is true, a low (high) value of proj is assumed to correspond to a more peripheral (central) event.